View workflow job details

Read the current execution information of the specified workflow job. HTTP success only means successful reading, and the job result should be judged based on the execution status in the response.

GET https://moi.matrixorigin.cn/newmoi/workflow/v2/workflow-apps/{workflow_id}/executions/{execution_id}

Preparation before calling

First query the workflow job list to obtain the workflow ID and execution ID. Prepare a personal access token and target workspace ID that has access to the target workspace.

Path parameters

workflow_idstringRequired
Workflow ID.
execution_idstringRequired
Job ID.

Request example

curl "https://moi.matrixorigin.cn/newmoi/workflow/v2/workflow-apps/$WORKFLOW_ID/executions/$EXECUTION_ID" \
  -H "X-API-Key: $AI_STUDIO_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID"

Successful response

Returns 200 on success. Determine the current or final status of the job based on data.execution.status.

codestring
`OK` when successful.
msgstring
`OK` when successful.
data.execution.execution_idstring
Execution ID.
data.execution.workflow_idstring
Workflow ID.
data.execution.statusstring
Current execution status.
data.execution.available_actionsstring[]
Current executable operations.
data.execution.execution_modestring
Execution mode.
data.execution.cron_expressionstring
Cron expression; may be omitted if not configured.
data.execution.input_payloadobject
The running input after the server is expanded.
data.execution.vars_payloadobject
The running variable after the server is expanded.
data.execution.moi_task_idstring
Server task ID; returned if there is a value.
data.execution.moi_case_idstring
Server case identifier; returned if there is a value.
data.execution.moi_workflow_def_idstring
Workflow definition identifier; returned if there is a value.
data.execution.moi_workflow_version_idstring
Workflow version identifier; returned if there is a value.
data.execution.pause_scopestring
Pause range; returned when there is a value.
data.execution.errorstring
Error message; returned if there is a value.
data.execution.started_atstring
Start time; may be omitted if not generated.
data.execution.ended_atstring
End time; may be omitted if not generated.
data.execution.created_atstring
Creation time; may be omitted if not generated.
data.execution.updated_atstring
Last updated time; may be omitted if not generated.

Successful response example

{
  "code": "OK",
  "msg": "OK",
  "data": {
    "execution": {
      "execution_id": "exec-001",
      "workflow_id": "wf-001",
      "status": "running",
      "available_actions": ["pause", "cancel"],
      "execution_mode": "one_shot",
      "input_payload": {
        "source": "file-001"
      },
      "vars_payload": {},
      "moi_task_id": "task-001",
      "moi_case_id": "case-001",
      "started_at": "2026-08-18T10:00:00Z",
      "created_at": "2026-08-18T10:00:00Z"
    }
  }
}

Error response

codestring
Error code.
msgstring
Readable error message.
datanull
`null` in an error response.

Error response example

{
  "code": "ErrNotFound",
  "msg": "资源不存在",
  "data": null
}

Follow-up operations

You can Refresh Workflow Job Status while the job is still in progress. When output is needed query workflow job results.

Last updated on